package com.union.ai.api.enums;

/**
 * Created by IntelliJ IDEA.
 * Author: xingxin.jing
 * Date: 2019/3/24
 * Time: 下午7:14
 */
public enum ErrorEnum {

    ERROR_100000(-100000, "参数为空"),
    ERROR_110000(-110000, "token过期或者token不存在"),
    ERROR_120000(-120000, "每秒请求次数超过上限"),
    ERROR_121000(-121000, "请求次数超过上限"),
    ERROR_130000(-130000, "没有访问该url的权限"),
    ERROR_140000(-140000, "数据处理异常"),
    ERROR_150000(-150000, "参数格式异常"),
    ;


    ErrorEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    private int code;

    private String message;

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
